Package com.enonic.xp.web.filter

## Class FilterConfigInitParametersOverride

- java.lang.Object
- - com.enonic.xp.web.filter.FilterConfigInitParametersOverride

- All Implemented Interfaces:
    `javax.servlet.FilterConfig`

      public final class FilterConfigInitParametersOverride
      extends Object
      implements javax.servlet.FilterConfig

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilterConfigInitParametersOverride​(javax.servlet.FilterConfig delegate, Map<String,​String> config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getFilterName()` |
    `String` | `getInitParameter​(String name)` |
    `Enumeration<String>` | `getInitParameterNames()` |
    `javax.servlet.ServletContext` | `getServletContext()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterConfigInitParametersOverride

          public FilterConfigInitParametersOverride​(javax.servlet.FilterConfig delegate,
                                                    Map<String,​String> config)

  - ### Method Detail

    - #### getFilterName

          public String getFilterName()

      Specified by:
        `getFilterName` in interface `javax.servlet.FilterConfig`

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Specified by:
        `getServletContext` in interface `javax.servlet.FilterConfig`

    - #### getInitParameter

          public String getInitParameter​(String name)

      Specified by:
        `getInitParameter` in interface `javax.servlet.FilterConfig`

    - #### getInitParameterNames

          public Enumeration<String> getInitParameterNames()

      Specified by:
        `getInitParameterNames` in interface `javax.servlet.FilterConfig`